@media screen and (max-width: 1400px) {
    .banner {
        height: 550px;
    }
    .banner-colone h1 {
        width: 65%;
        font-size: 40px;
    }
    .footer-midlinks{
        gap: 20px;
    }
}
@media screen and (max-width: 1200px) {
    .banner-colone h1 {
        width: 75%;
    }
    .se-col input {
        width: 75%;
    }
    .sd-content {
        padding: 25px;
    }
    .footer-midbox-about{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        text-align: center;
        margin-bottom: 15px;
    }
     /*---new updates----*/
     .remove-one{
        display: none;
    }
    .flight-filters-heading h6 {
        font-size: 14px;
    }
    .flight-filter-clear-btn{
        font-size: 14px;
        padding: 0px;
    }
    .flight-filters{
        gap: 25px;
    }
    .flight-range-price p{
        font-size: 14px;
    }
    .common-arr-depart{
        flex-direction: column;
    }
    .common-arr-depart .btn{
        width: 100%;
    }
    .filter-label label{
        font-size: 13px;
    }
    /*-----flight detail----*/
    .fd-edit-detail{
        width: 50%;
    }
    .fd-sticky-bottom{
        display: flex;
    }
}
@media screen and (max-width: 992px) {
    .navbar{
        display: flex;
    }
    .header-menu{
        display: none;
    }
    .header-logo{
        width: 60%;
    }
    .header-contact{
        gap: 15px;
        padding: 18px 15px 18px 15px;
    }
    .header-contact i{
        font-size: 20px;
    }
    .header-contact a{
        font-size: 15px;
    }
    .banner-colone h1 {
        font-size: 30px;
        width: 100%;
        margin-bottom: 15px;
    }
    .banner-colone p {
        font-size: 15px;
    }
    .se-col{
        border-bottom: 1px solid black;
        border-right: none;
        margin: 0px;
    }
    .se-search-btn{
        height: 60px;
    }
   
    
    .footer-midbox-about img{
        height: 60px;
    }
    .footer-midbox-about p {
        font-size: 15px;
        margin-bottom: 20px;
    }
    .footer-midlinks a {
        font-size: 15px;
    }
    .footer-last p{
        font-size: 15px;
    }
    
   .common-banner-coltwo{
    display: none;
   }
   .contact-detail{
    flex-wrap: wrap;
}
.contact-detail-box{
    width: 100%;
}
.best-destination-box{
    margin-bottom: 20px;
}
.best-destination-row {
    padding: 15px 25px 15px 25px;
}
.why-choose-us-box{
    width: 100%;
}
.travel-card-colone {
    padding: 15px;
}
.travel-card-colone{
    font-size: 14px;
}
.mid-section-btn {
    margin-top: 0px;
    height: 35px;
    width: 45%;
}
/*----new updates------*/
.back-to-homepage a{
    display: flex;
}
.flight-details-col-filters{
    display: none;
}
.flight-detail-fliter-button{
    display: none;
}
.flight-return-depart{
    display: none;
}

/*----error page----*/
.error-page-box{
    width: 100%;
    padding: 25px;
  }
  .error-page-box i{
    font-size: 40px;
  }
  .error-page-btn{
    font-size: 16px;
    width: 100%;
  }
}
@media screen and (max-width: 767px) {
    .header-logo {
        width: 50%;
    }
    .banner-colone p {
       text-align: center;
    }
    .footer-midlinks{
        flex-wrap: wrap;
    }
    .best-destination-row {
        padding: 10px;
    }
    .why-choose-us-box {
        padding: 10px;
    }
    .why-choose-us-box img {
        height: 50px;
    }
    .mid-section-colone{
        padding: 15px;
    }
    .mid-section-coltwo img{
        border-radius: 10px;
    }
    .travel-explore-colone{
        text-align: center;
    }
    .travel-explore-colone p{
        text-align: center;
        width: 100%;
    }
    .call-box{
        margin: auto;
    }
     /*-----flight dettail----*/
     .fd-edit-detail{
        width: 80%;
    }
    .fd-edit-detail h6{
        width: 100%;
    }
    .flight-info-card{
        flex-wrap: wrap;
    }
    .fic-airline_name_image{
        width: 15%;
        align-items: flex-start;
        margin-bottom: 10px;
    }
    .fic-flight-duration{
        width: 85%;
    }
    .flight-info-heading{
        font-size: 13px;
    }
    .departing-flights-detail-heading_box{
        flex-wrap: wrap;
    }
    .flight-info-heading{
        width: 50%;
    }
    .deparing-flight-date{
        width: 50%;
    }
    .layover-timing{
        font-size: 15px;
    }
    .departing-flight-information{
        flex-wrap: wrap;
    }
    .departing-flight-airline{
        width: 15%;
        align-items: flex-start;
    }
    .departing-flight-date-info{
        width: 85%;
        align-items: flex-start;
    }
    .departing-flight-line-info{
        width: 100%;
        justify-content : center;
        margin: 15px 0px 15px 0px;
    }
    .departing-flight-duration{
        width: 200px;
    }
    .flight-stops-info{
        width: 200px;
    }
    .departing-flights-detail-heading_box h4{
        font-size: 15px;
    }
    .fd-info-date-price-calender a{
        font-size: 13px;
        text-align: center;
    }
    .remove-two{
        display: none;
    }
    .flight_dp_cal_next{
        display: none;
    }
    .month-name{
        display: flex;
        color: white;
        transform: rotate(270deg);
    }
    .flight_dp_cal_prev i{
        display: none;
    }
    .ftd-form-input input{
        width: 80%;
    }
    .ftd-form-input input::placeholder{
       font-size: 13px;
    }
    .ftd-form-input select>option{
        font-size: 13px;
     }
    .ftd-form-input{
        width: 100%;
    }
    .ftd-travel-ol li{
        width: 100%;
    }
    .form-check label{
        font-size: 13px;
    }
    .loading-page-box{
        height: 450px;
        width: 450px;
    }
    .lp-offer p{
        font-size: 15px;
    }
    .lp-contact a{
        font-size: 15px;
    }
    .loading-arrow img{
        width: 80px;
    }
}
@media screen and (max-width: 576px) {
    .header-contact {
        display: none;
    }
    .header-logo {
        width: fit-content;
    }
    .header-logo img {
        height: 70px;
        width: auto;
    }
    .resp-callnow-box{
        display: flex;
        flex-direction: row;
        gap: 5px;
        background: #f01e27;
        padding: 5px 10px;
        border-radius: 50px;
        box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    }
    .resp-callnow-box img{
        height: 50px;
        margin-bottom: -9px;
    }
    .resp-callnow-box-content{
        flex-direction: column;
    }
    .resp-callnow-box p, .resp-callnow-box a{
        font-size: 13px;
        margin-bottom: 0px;
        color: black;
        text-decoration: none;
        font-weight: 700;
    }
    .banner{
        background: white;
        align-items: flex-start;
        margin-top: 0px !important;
        height: auto;
    }
    .banner-top{
        display: flex;
        border-bottom: 1px solid black;
        padding: 10px 0px;
        margin-bottom: 15px;
    }
    .btn-top-btn{
        font-size: 13px;
        gap: 5px;
    }
    .btn-top-btn:hover{
        background: #252b77;
        color: white;
    }
    .btn-top-active{
        background: #252b77;
        color: white;
    }
    .se-li-btn{
        font-size: 13px;
    }
    .banner-colone{
        margin-bottom: 0px !important;
    }
    .search-engine-box{
        border: 1px solid black;
    }
    .se-row{
        background: #d8d0ec;
        box-shadow: none;
    }
    .se-col{
       border: none;
        padding: 5px;
        justify-content: flex-start;
    }
    .se-input{
        width: 100%;
        height: 50px;
        border-radius: 10px;
        background: white;
        border: 1px solid black;
        padding-left: 10px;
    }
    .se-search-btn{
        height: 50px;
        margin-top: 10px;
    }
    .header {
        border-bottom: 1px solid black;
    }
    .se-input input{
        width: 100%;
    }
    .se-input input::placeholder{
        font-size: 14px;
    }
    .banner-colone h1 {
        display: none;
    }
    .footer-mid-col img{
        height: 70px;
        width: auto;
    }
    .sm-hide{
        display: none;
    }
    .call-box{
        width: 100%;
    }
    .call-box img {
        height: 40px;
    }
    .travel-explore-colone p{
        font-size: 17px;
    }
    .travel-explore-colone a{
        font-size: 17px;
    }
    .search-engine-box{
        padding: 15px;
    }
    .best-destination-box img{
        height: 200px;
        width: 100%;
        object-fit: cover;
    }
    .best-destination-box p{
        font-size: 14px;
    }
    .why-choose-us-box p{
        font-size: 14px;
    }
    .travel-card-coltwo img{
        height: 200px;
        width: 100%;
        object-fit: cover;
    }
    /*-----pop up----*/
    .logo-colone{
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;

    }
    .logo-colone a{
        color: lightgray;
        font-size: 10px;
    }
    .popup-mid-content-colone h2{
        font-weight: 700;
        font-size: 23px;
        text-align: center;
    }
    .popup-mid-content-colone{
        flex-direction: column;
    }
    .popup-mid-content-colone p{
        font-weight: 500;
        text-align: center;
    }
    .psupport-box{
        border: 1px solid black;
        border-radius: 10px;
        width: 100%;
        text-align: center;
        padding: 10px;
        box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    }
    .psupport-box h4{
        margin-bottom: 0px;
        font-weight: 700;
        color: #ff7a48;
    }
    .popup-mid-content-coltwo{
        background: #ff7a48;
        border-radius: 10px;
        padding: 10px;
        box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    }
    .p-ul{
        margin: 0px;
        color: white;
        font-weight: 500;
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        flex-wrap: wrap;
        gap: 10px;
    }
    .p-ul li{
        width: 48%;
    }
    .popup-mid-content-colthree img{
        height: 300px;
        margin: auto;
    }
    .pf-bottom{
        background: #ff7a48;
       padding: 10px;
       gap: 20px;
    }
    .pf-bottom img{
        height: 60px;
    }
    .pfb-content{
        flex-direction: column;
    }
    .pfb-content p{
        color: white;
        font-size: 18px;
        text-align: center;
    }
    .pfb-content a{
        color: white;
        font-size: 22px;
        font-weight: 500;
    }
    /*-----flight details----*/
    .flight-detail-accordian-item .accordion-body{
        padding: 10px;
    }
    .departing-flights-detail-heading_box h4 {
        text-align: right;
        width: 100%;
        order: -1;
    }
    .deparing-flight-date {
        width: 100%;
    }
    .flight-info-heading {
        width: 100%;
    }
    .departing-flight-duration{
        width: 100px;
    }
    .fic-detail-line{
        width: 100%;
        margin: 10px 0px 10px 0px;
    }
    .detail-line-info{
        width: 100%;
    }
    .flight-depart-time{
        width: fit-content;
    }
    .flight-arrival-time{
        width: fit-content;
    }
    .fic-select-button{
        width: 40%;
    }
    .departing-flight-airline {
        width: 20%;
    }
    .departing-flight-date-info{
        width: 80%;
    }
    .fic-airline_name_image{
        width: 20%;
    }
    .fic-flight-duration{
        width: 80%;
    }
    .flight-detail-accordian-header-button{
        font-size: 13px;
    }
    .fd_sb-subcontent{
        font-size: 13px;
    }

    /*-----flight detail----*/
    .fd-sticky-bottom{
        justify-content: space-between;
    }
    .fd_sb-subcontent img{
        height: 15px;
    }
    .fd-for-edit{
        gap: 10px;
    }
    .common-ftd-subbox a{
        font-size: 13px;
        text-align: center;
    }
    .ftd-from-to {
        width: 100%;
    }
    .ftd-duration{
        width: 100%;
    }
    .ftd-duration>.ftd-para{
        width: 100%;
        text-align: left;
    }
    .ftd-heading{
        font-size: 15px;
    }
    .ftd-para{
        font-size: 13px;
    }
    .ftd-lining{
        width: 70px;
    }
    .ftd-airline-image{
        height: 40px;
    }
    .ftd-travel-protection-image{
        display: none;
    }
    .ftd-baggage-col{
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .fd-depart-return-heading h4{
        font-size: 17px;
    }
    .ftd-baggage-col p{
        font-size: 12px;
    }
    .ftd-form-box{
        margin-bottom: 15px;
    }
    .lp-offer img {
        height: 50px;
    }
    .lp-gif img{
        height: 60px;
    }
    .loading-page-box{
        height: 400px;
        width: 400px;
    }
}
@media screen and (max-width: 413px) {
    /*-----loading page----*/
   
    .remove-three{
        display: none;
    }
    .loading-page-box{
        height: 350px;
        width: 350px;
    }
    .lp-offer{
        padding: 5px;
    }
    .lp-contact{
        padding: 5px;
    }
}